
function nll=find_nll(beta,W,X,y,nClass)
    [n,p] = size(X);
    XWX = zeros(n,nClass);
    for c=2:nClass
        for i=1:n
            XWX(i,c) = X(i,(2:p))*W{c}*X(i,(2:p))';
        end
    end
    Xbeta = X*beta;
    U = Xbeta + XWX;
    exp_U = exp(-U);
    y_oh = ind2vec(y');
    nll = sum(sum(U.*y_oh')) + sum(log(sum(exp_U,2)));
    nll = nll/n;