function g = num_grad(F,x)
    p = length(x);
    SMALL = 0.0001;
    g = zeros(p,1);
    for i = 1:p
        xtemp = x;
        xtemp(i) = xtemp(i) + SMALL;
        g(i) = (F(xtemp)-F(x))/SMALL;
    end